MACRO BOOST(3)

NAME
BOOST_MPI_CALLING_CONVENTION - Specifies the calling convention that will be used for callbacks from the underlying C MPI.

SYNOPSIS

// In header: <boost/mpi/config.hpp>
BOOST_MPI_CALLING_CONVENTION

DESCRIPTION

This is a Windows-specific macro, which will be used internally to state the calling convention of any function that is to be used as a callback from MPI. For example, the internally-defined functions that are used in a call to MPI_Op_create. This macro is likely only to be useful to users that wish to bypass Boost.MPI, registering their own callbacks in certain cases, e.g., through MPI_Op_create.